Bug 1463893 - Missing the URL link, failed to click and open "1 Content Host" for a hypervisor
Missing the URL link, failed to click and open "1 Content Host" for a hyperv...
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Walden Raines
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 23:31 EDT by Eko
Modified: 2017-08-28 04:37 EDT (History)
10 users (show)

See Also:
Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Missing link (102.13 KB, image/png)
2017-06-21 23:31 EDT, Eko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20279 None None None 2017-07-11 15:00 EDT
Foreman Issue Tracker 20598 None None None 2017-08-14 15:42 EDT

  None (edit)
Description Eko 2017-06-21 23:31:08 EDT
Created attachment 1290467 [details]
Missing link

Version-Release number of selected component (if applicable):
Satellite6.3.0-snap3.0
virt-who-0.19-2.el7sat.noarch.rpm


Steps to Reproduce:
1. Running virt-who to send the H/G info to satellite6.3, make sure the hypervisor and guest are registered in satellite webUI(Hosts => Content Host)

2. open the hypervisor page to check the link as the attached file


Actual results:
link missing, can't open the url


Expected results:
the url can be opened normally and refer to the guest page.
Comment 4 Walden Raines 2017-07-11 14:36:26 EDT
Created redmine issue http://projects.theforeman.org/issues/20279 from this bug
Comment 5 Walden Raines 2017-07-11 15:03:15 EDT
PR: https://github.com/Katello/katello/pull/6865
Comment 6 pm-sat@redhat.com 2017-07-17 16:01:13 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20279 has been resolved.
Comment 7 pm-sat@redhat.com 2017-08-03 18:01:08 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20279 has been resolved.
Comment 8 Eko 2017-08-08 22:50:00 EDT
Check this issue with sat6.3-snap10, click "1 Content Host" on the hypervisor page, it will redirect to the "Content Host" home page, not to the "guest" page, so I change the state to NEW.
Comment 9 pm-sat@redhat.com 2017-08-09 00:01:20 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20279 has been resolved.
Comment 10 Walden Raines 2017-08-09 09:49:27 EDT
That's not how this functionality worked before it was broken.(In reply to Eko from comment #8)
> Check this issue with sat6.3-snap10, click "1 Content Host" on the
> hypervisor page, it will redirect to the "Content Host" home page, not to
> the "guest" page, so I change the state to NEW.

That's not how this functionality worked before it was broken.  Before it was broken the link just took you to the content host list with the search including the virtual guest names.  This purpose of this fix is to simply restore the former functionality.  If we want a conditional link that changes based on the number of content hosts then we need an RFE.
Comment 11 Eko 2017-08-09 22:25:27 EDT
(In reply to Walden Raines from comment #10)
> That's not how this functionality worked before it was broken.(In reply to
> Eko from comment #8)
> > Check this issue with sat6.3-snap10, click "1 Content Host" on the
> > hypervisor page, it will redirect to the "Content Host" home page, not to
> > the "guest" page, so I change the state to NEW.
> 
> That's not how this functionality worked before it was broken.  Before it
> was broken the link just took you to the content host list with the search
> including the virtual guest names.  This purpose of this fix is to simply
> restore the former functionality.  If we want a conditional link that
> changes based on the number of content hosts then we need an RFE.

Yes, this link should take me to the content host list according to the searching guest name, but actually it will list all the host and guest.

The interesting action is:
if I click "1 Content Host" link directly, it will feedback all the host and guest list, missing the search keyword.

If I right click "1 Content Host" link and choose "open Link in New Tab", it will only feedback the list according to the searching guest name, that's expected result.
Comment 12 Walden Raines 2017-08-10 10:46:46 EDT
(In reply to Eko from comment #11)
> (In reply to Walden Raines from comment #10)
> > That's not how this functionality worked before it was broken.(In reply to
> > Eko from comment #8)
> > > Check this issue with sat6.3-snap10, click "1 Content Host" on the
> > > hypervisor page, it will redirect to the "Content Host" home page, not to
> > > the "guest" page, so I change the state to NEW.
> > 
> > That's not how this functionality worked before it was broken.  Before it
> > was broken the link just took you to the content host list with the search
> > including the virtual guest names.  This purpose of this fix is to simply
> > restore the former functionality.  If we want a conditional link that
> > changes based on the number of content hosts then we need an RFE.
> 
> Yes, this link should take me to the content host list according to the
> searching guest name, but actually it will list all the host and guest.
> 
> The interesting action is:
> if I click "1 Content Host" link directly, it will feedback all the host and
> guest list, missing the search keyword.
> 
> If I right click "1 Content Host" link and choose "open Link in New Tab", it
> will only feedback the list according to the searching guest name, that's
> expected result.

Oh I see.  Thanks for the clarification.
Comment 13 Walden Raines 2017-08-14 16:54:19 EDT
New PR: https://github.com/Katello/bastion/pull/204
Comment 14 Walden Raines 2017-08-15 18:11:32 EDT
commit 0cd73f9f2fccad6d0608f109231fcd21004a15a6
Author: Walden Raines <walden@redhat.com>
Date:   Mon Aug 14 16:11:24 2017 -0400

    Fixes #20598: use state params for search.
    
    We should respect the state params for searches when an href is
    generated with ui-sref. This commit ensures that $stateParams is
    preferred over the table cache and what is in the query strings.
    
    http://projects.theforeman.org/issues/20598
Comment 15 Jonathon Turel 2017-08-23 15:22:37 EDT
The second PR is not in the latest snap (6.3 Snap 12) and therefore this is failing at least partially: the link works but the table is not filtered according to the guests within the hypervisor (unless opening a new tab).

I think the correct status is back to POST since it seemingly does not require futher dev work but a cherry pick of 0cd73f9f2fccad6d0608f109231fcd21004a15a6
Comment 16 Eko 2017-08-28 04:37:23 EDT
verified in sat6.3-snap13, it can filter the list as expected.

Note You need to log in before you can comment on or make changes to this bug.